Author Topic: Can't get MCE_USB remotes to work on 10.04 MDs  (Read 3147 times)

kyfalcon

  • Guru
  • ****
  • Posts: 390
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #15 on: September 29, 2011, 07:59:58 pm »
so an apt-get update/upgrade tonight should fix things?

kyfalcon

  • Guru
  • ****
  • Posts: 390
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #16 on: September 30, 2011, 02:31:27 am »
remote working on core. still no remote on mds >:(

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #17 on: September 30, 2011, 04:21:36 pm »
Has youer remote always worked on the core?

Regards

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #18 on: October 01, 2011, 01:12:59 am »
Well I have done an apt-get update && apt-get upgrade but still no MCE_USB remote working on my core.

Anyone got any ideas?

Regards

uplink

  • Administrator
  • Guru
  • *****
  • Posts: 191
  • Linux and LinuxMCE witchdoctor
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #19 on: October 01, 2011, 03:11:16 am »
I think lirc_mceusb2 got merged into lirc_mceusb, but LinuxMCE still expects it. If lirc_mceusb isn't loaded, then your remote won't work. I committed a two line patch that addresses this: http://trac.linuxmce.org/trac.cgi/changeset/24885 just now. I didn't test it though (except in Dianemo, where it works fine).

kyfalcon

  • Guru
  • ****
  • Posts: 390
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #20 on: October 03, 2011, 04:34:22 pm »
Uplink,

Core remote works fine.
MD's don't work at all.

The only difference is the MD's are windows transmitters, Core has a usbuirt

uplink

  • Administrator
  • Guru
  • *****
  • Posts: 191
  • Linux and LinuxMCE witchdoctor
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #21 on: October 03, 2011, 04:47:24 pm »
Uplink,

Core remote works fine.
MD's don't work at all.

The only difference is the MD's are windows transmitters, Core has a usbuirt

That difference is very important. USB-UIRT remotes don't use pluto-lirc-wrapper at all. See if package pluto-lirc-wrapper is installed. If it is, see if LIRC_DCE is running and if you have a lircd process as well. If they are running, execute irw on the MD, then press some keys on the remote. irw should display the keys you press. If this works, but the remote doesn't control the Orbiter, something's fishy. If anything in the checklist doesn't check out, let us know what.

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #22 on: October 06, 2011, 07:23:24 pm »
Hi Uplink.

I did an apt-get update, apt-get upgrade last night but I still do not have working mce_usb remote and receiver.

Do I need to apply your patch manually or should it have been applied to the latest build?

Regards

kyfalcon

  • Guru
  • ****
  • Posts: 390
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #23 on: October 07, 2011, 12:32:21 am »
no lircd on mds and no command irw. there is an inputlircd process running as well as LIRC_DCE

uplink

  • Administrator
  • Guru
  • *****
  • Posts: 191
  • Linux and LinuxMCE witchdoctor
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #24 on: October 08, 2011, 02:45:35 am »
I did an apt-get update, apt-get upgrade last night but I still do not have working mce_usb remote and receiver.

Do I need to apply your patch manually or should it have been applied to the latest build?

Insanity: doing the same thing over and over again and expecting different results.

I only asked you to have a look at the requirements for things to work and tell me if they're there so maybe people get a clue of what's wrong. I'm not involved deeply enough with LinuxMCE development (I don't even have a Core, I use Thom's from time to time), but even so the checklist embedded in the question should have found something missing so other people, who do LinuxMCE development, can go "aha! missing dependency" or something.

I didn't patch anything :)

uplink

  • Administrator
  • Guru
  • *****
  • Posts: 191
  • Linux and LinuxMCE witchdoctor
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #25 on: October 08, 2011, 02:55:57 am »
no lircd on mds and no command irw. there is an inputlircd process running as well as LIRC_DCE

'pluto-lirc-wrapper' (contains LIRC_DCE) depends on 'lirc-pluto', which depends on 'lirc' among other things.

irw is in package 'lirc'.

If you have LIRC_DCE running, 'pluto-lirc-wrapper' is probably installed. So where's 'lirc'...?

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #26 on: October 09, 2011, 07:56:02 pm »
Hi Uplink

I think maybe I am insane! Or maybe its you as this post says you committed a patch that should fix the problem.

I think lirc_mceusb2 got merged into lirc_mceusb, but LinuxMCE still expects it. If lirc_mceusb isn't loaded, then your remote won't work. I committed a two line patch that addresses this: http://trac.linuxmce.org/trac.cgi/changeset/24885 just now. I didn't test it though (except in Dianemo, where it works fine).

Regards

uplink

  • Administrator
  • Guru
  • *****
  • Posts: 191
  • Linux and LinuxMCE witchdoctor
    • View Profile
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #27 on: October 09, 2011, 09:35:40 pm »
I think maybe I am insane! Or maybe its you as this post says you committed a patch that should fix the problem.

Well... I did commit that patch, but I have no idea if it was packaged or not :) You can check to see if the "mceusb" module is loaded or not using "lsmod". Tha module is needed for things to work too, in addition to the things I ask to be checked. If it wasn't packages, then you may have to apply the patch yourself.

Sorry if I came out a bit strong with the insanity quote, I'm not in my best of moods these days. I'm still working on my "don't try to help people if your brain is on hold" idea :D

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #28 on: October 10, 2011, 10:11:12 pm »
Hi Uplink

No worries on the Insane quote! We all have bad days! I get them too often at moment!

Any tips on how to install the patch manually?

Regards

fibres

  • Guru
  • ****
  • Posts: 306
    • View Profile
    • LinuxMCE 08.10 RC Mirror.
Re: Can't get MCE_USB remotes to work on 10.04 MDs
« Reply #29 on: October 10, 2011, 11:23:27 pm »
Ok interesting.

So lirc_mceusb is loaded.

root@dcerouter:~# lsmod | grep mceusb
lirc_mceusb            12100  0
lirc_dev                8890  1 lirc_mceusb

However lircd is not running.

When I try and run lircd manually I get


lircd: can't open or create /var/run/lirc/lircd.pid
lircd: No such file or directory

I have created the directory /var/run/lirc and I can then manually run lircd with /usr/sbin/lircd
I can then run irw, but when I press the buttons I get nothing.

Regards